Bug 243496 - editors/jucipp: Update to 1.5.1
Summary: editors/jucipp: Update to 1.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-01-21 23:32 UTC by Mohammad S. Babaei
Modified: 2020-01-24 04:43 UTC (History)
1 user (show)

See Also:


Attachments
jucipp-1.5.0-to-1.5.1.patch (331 bytes, patch)
2020-01-21 23:32 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
jucipp-1.5.0-to-1.5.1.patch (2.28 KB, patch)
2020-01-24 04:00 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2020-01-21 23:32:51 UTC
Created attachment 210940 [details]
jucipp-1.5.0-to-1.5.1.patch

New features:

    Added preferences item debug_place_cursor_at_stop to update cursor when the debugger stops
    Improved debug tooltips in class member source files: constant expressions should now be processed and shown
    Binding shortcuts to snippets is now possible by adding key values in snippets.json
    Added Show Breakpoints to the Debug menu
    Prettier can now be run on HTML files
    Added Window->Split Source Buffer
    Added preference option to disable replacing search entry with selected text
    Added markdown_command to project preferences

Cleanups, bugfixes and other improvements:

    Slight improvement to C/C++ include completion
    Language protocol: fixed type coverage warnings
    Added support for .tsx files
    MacOS: added missing include and framework folders
    Fixed spellcheck of entire buffer when buffer starts with a comment or string
    Improved entry history that is for instance used in the search dialog. Can now go to previous text history, and back to last written text
    Improved snippets: now supports variables TM_SELECTED_TEXT, TM_CURRENT_LINE, TM_CURRENT_WORD, TM_LINE_INDEX, TM_LINE_NUMBER, TM_FILENAME_BASE, TM_FILENAME, TM_DIRECTORY, TM_FILEPATH, CLIPBOARD, and default values
    Optimized ctags parsing
    Fixed usage cache count, and added info message about background processes if any when quitting juCi++
    Fixed threaded dispatcher disconnects that must happen in the main thread
    Fixed potential crash when full reparse is needed before exiting juCi++
    Fixed prettier error message parsing
    Language protocol: now shows possible arguments if no argument info is sent from server after autocomplete
    Cleanup and fixes to dialog and tooltip positioning, and dialogs and tooltips should now not be partially shown outside of screen
    Improved speed of directory view when opening folder containing a large number of files or directories
    Language protocol: Prettier is now the preferred style formatting instead of using the language server
Comment 1 Tobias C. Berner freebsd_committer 2020-01-22 18:50:40 UTC
Moin moin 

The diff seems to be missing the distinfo change.


mfg Tobias
Comment 2 Mohammad S. Babaei 2020-01-24 04:00:16 UTC
Created attachment 211003 [details]
jucipp-1.5.0-to-1.5.1.patch

Sorry, there was a terrible mistake on my part. Forgot the commit hashes.
Comment 3 commit-hook freebsd_committer 2020-01-24 04:27:45 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jan 24 04:27:07 UTC 2020
New revision: 523949
URL: https://svnweb.freebsd.org/changeset/ports/523949

Log:
  editors/jucipp: Update to 1.5.1

  PR:		243496
  Submitted by:	Mohammad S. Babaei <info@babaei.net> (maintainer)

Changes:
  head/editors/jucipp/Makefile
  head/editors/jucipp/distinfo
Comment 4 Tobias C. Berner freebsd_committer 2020-01-24 04:43:14 UTC
Committed. Thanks.